Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class ContentAttributeRenderer<T extends WindowPresentationContext>

    java.lang.Object
      com.bea.netuix.servlets.controls.AttributeRenderer
          com.bea.netuix.servlets.controls.window.ContentAttributeRenderer<T>

    public class ContentAttributeRenderer<T extends WindowPresentationContext>

extends AttributeRenderer

`ContentAttributeRenderer` is an attribute renderer designed to render a window's content attributes.

See Also
  `WindowPresentationContext.getContentAttributeRenderer()`

Method Summary
`String` | `getDefaultPresentationClass()` Returns the default for the window's "contentPresentationClass" attribute.
`String` | `getDefaultPresentationStyle()` Returns the default for the window's "contentPresentationStyle" attribute.
`void` | `render(Writer out)` Renders the attributes of the related component using the specified `Writer`.
`void` | `setDefaultPresentationClass(String defaultPresentationClass)` Sets the default for the window's "contentPresentationClass" attribute.
`void` | `setDefaultPresentationStyle(String defaultPresentationStyle)` Sets the default for the window's "contentPresentationStyle" attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultPresentationClass

    public String getDefaultPresentationClass()

  Returns the default for the window's "contentPresentationClass" attribute. This default will be used if an explicit "contentPresentationClass" attribute is not set on the window component.

### setDefaultPresentationClass

    public void setDefaultPresentationClass(String defaultPresentationClass)

  Sets the default for the window's "contentPresentationClass" attribute. This default will be used if an explicit "contentPresentationClass" attribute is not set on the window component.

### getDefaultPresentationStyle

    public String getDefaultPresentationStyle()

  Returns the default for the window's "contentPresentationStyle" attribute. This default will be used if an explicit "contentPresentationStyle" attribute is not set on the window component.

### setDefaultPresentationStyle

    public void setDefaultPresentationStyle(String defaultPresentationStyle)

  Sets the default for the window's "contentPresentationStyle" attribute. This default will be used if an explicit "contentPresentationStyle" attribute is not set on the window component.

### render

    public void render(Writer out)
                throws IOException

  Description copied from class: `AttributeRenderer`
  Renders the attributes of the related component using the specified `Writer`.

  Specified by:
    `render` in class `AttributeRenderer`
  Parameters
    `out` - Writer to which component attributes are rendered
  Throws
    `IOException` - If an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.